channels:
  - conda-forge
dependencies:
  - 'python > 3.6'
  - automake
  - c-compiler
  - cxx-compiler
  - doxygen
  - dqsegdb2
  - fftw
  - fortran-compiler
# The below gds dependencies have been commented out until an issue with gds on osx-64 can be
# resolved. See issue for status: https://git.ligo.org/lscsoft/gstlal/-/issues/72
#  - gds-lsmp
#  - gds-framexmit
  - gobject-introspection
  - graphviz
  - gsl
  - gstreamer
  - gstreamer-orc
  - gst-python
  - gst-plugins-base
  - gst-plugins-good
  - gwdatafind
  - h5py
  - lalapps
  - ldas-tools-framecpp
  - libframe
  - libtool
  - ligo-gracedb
  - ligo-scald
  - ligo-segments
  - make
  - 'matplotlib-base < 3.0'
  - myst-parser
  - nds2-client
  - 'numpy < 1.20'
  - pandas
  - pkg-config
  - pluggy
  - pyfftw
  - 'pygobject < 3.29'
  - python-avahi
  - python-confluent-kafka
  - python-lalburst
  - python-lalinspiral
  - python-lalsimulation
  - python-ligo-lw
  - scipy
  - sed
  - 'sphinx < 4.0'
  - sphinx_rtd_theme
